Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class APCSheetCreditClassificationAnimalRows
    Inherits BaseObject

    Private _APCSheetHeader As APCSheetHeader
    Private _RowIndex As Long
    Private _ShortName As String 'Állat fajta megnevezése
    Private _QTT As Long 'Mmennyiség
    Private _EstimatedWeight As Double 'átlagos becsült súlya az adott állatnak (kg)

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("APCSheetHeader-APCSheetCreditClassificationAnimalRows", GetType(APCSheetHeader)), VisibleInListView(False)> _
    Property APCSheetHeader As APCSheetHeader
        Get
            Return _APCSheetHeader
        End Get
        Set(value As APCSheetHeader)
            SetPropertyValue("APCSheetHeader", _APCSheetHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    <Size(255)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property QTT As Long
        Get
            Return _QTT
        End Get
        Set(value As Long)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property EstimatedWeight As Double
        Get
            Return _EstimatedWeight
        End Get
        Set(value As Double)
            SetPropertyValue("EstimatedWeight", _EstimatedWeight, value)
        End Set
    End Property
End Class
